%bcond_without  tests


Summary:        ASGI specs, helper code, and adapters
Name:           python-asgiref
Version:        3.6.0
Release:        3%{?dist}
License:        BSD and ASL 2.0
URL:            https://github.com/django/asgiref
Source0:        %{url}/archive/%{version}/asgiref-%{version}.tar.gz

BuildArch:      noarch


%description 
This package provides the ASGI base library, the standard for Python asynchronous web 
applications and servers to communicate with each other.


%package -n python3-asgiref
Summary:        %{summary}
BuildRequires:  python3-devel
Provides:       bundled(python3dist(async-timeout)) == 3.0.1


%description -n python3-asgiref 
This package provides the ASGI base library, the standard for Python asynchronous web 
applications and servers to communicate with each other.


%prep
%autosetup -n asgiref-%{version}


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-e %{toxenv}-test}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files asgiref


%if %{with tests}
%check
%tox -e %{toxenv}-test
%endif


%files -n python3-asgiref -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Miaojun Dong <zoedong@tencent.com> - 3.6.0-1
- update to 3.6.0

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Wang Guodong <gordonwwang@tencent.com> - 3.4.1-1
- package init.
